Bug 46546 - at-jobs have empty environment-variables
Summary: at-jobs have empty environment-variables
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: at (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
high
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-29 11:06 UTC by Enrico Scholz
Modified: 2007-03-27 03:46 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-20 08:26:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This patch should replace the original at-3.1.8-env.patch (338 bytes, patch)
2001-07-18 17:11 UTC, Enrico Scholz
no flags Details | Diff
Should fix it finally (465 bytes, patch)
2001-07-20 08:26 UTC, Enrico Scholz
no flags Details | Diff

Description Enrico Scholz 2001-06-29 11:06:40 UTC
Description of Problem:

All env-variables of jobs started by at-3.1.8-18 get empty values. The
man-page says they are retained.

The at-3.1.8-env.patch seems to be responsibly. There the last hunk

-           fwrite(*atenv, sizeof(char), eqp - *atenv - 1, fp);
+           fwrite(*atenv, sizeof(char), eqp - *atenv, fp); 

should be removed. Else entries like

| <var>=<values>; export <var>=

will be created.

| <var>=<values>; export <var>

would be correct.


How Reproducible:

evrytime

Steps to Reproduce:
1. echo 'test' | at now+5min
2. at -c <number of the job>


Actual Results:

PWD=/home/ensc; export PWD=
http_proxy=http://www-cache:3128/; export http_proxy=
...

Expected Results:

PWD=/home/ensc; export PWD
http_proxy=http://www-cache:3128/; export http_proxy
...


Additional Information:
	
$ rpm -q at
at-3.1.8-18

Comment 1 Enrico Scholz 2001-07-09 16:10:30 UTC
It's a serious bug making `at' unusable. Therefore increasing importance...

Comment 2 Enrico Scholz 2001-07-18 17:11:39 UTC
Created attachment 24010 [details]
This patch should replace the original at-3.1.8-env.patch

Comment 3 Glen Foster 2001-07-18 17:15:08 UTC
This defect should be fixed ASAP, Crutcher.

Comment 4 Crutcher Dunnavant 2001-07-18 20:08:56 UTC
fixed.

Comment 5 Enrico Scholz 2001-07-20 08:24:39 UTC
Sorry, my suggested patch was erroneous and reopens perhaps the door to a local
attack (have overseen that at is SUID and user can give a manipulated env like
'=foo').

Comment 6 Enrico Scholz 2001-07-20 08:26:35 UTC
Created attachment 24287 [details]
Should fix it finally

Comment 7 Crutcher Dunnavant 2001-08-02 20:48:46 UTC
fixed, again.


Note You need to log in before you can comment on or make changes to this bug.